Search processing.org:

Reference for Processing version 1.0.1+. If you have a previous version, use the reference included with your software. If you see any errors or have any comments, let us know.

Class | PShape

Name

### disableStyle()

Examples

    // The file "bot.svg" must be in the data folder
    // of the current sketch to load successfully
    PShape s;
    s = loadShape("bot.svg");
    smooth();
    shape(s, -30, 10, 80, 80);
    s.disableStyle();
    shape(s, 50, 10, 80, 80);

Description | Disables the shape's style data and uses Processing's current styles. Styles include attributes such as colors, stroke weight, and stroke joints.

Syntax

    sh.disableStyle()

Parameters

sh | PShape: any variable of type PShape

Returns | none
Usage | Web & Application

Updated on November 22, 2008 08:39:25pm PST